package com.zgiot.zx.workflow;

import org.activiti.spring.boot.SecurityAutoConfiguration;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * 项目启动类
 * 开启Eureka客户端
 * @author David
 */
//@EnableEurekaClient
@EnableScheduling
@EnableTransactionManagement(proxyTargetClass = true)
@SpringBootApplication(exclude = SecurityAutoConfiguration.class)
@MapperScan("com.zgiot.zx.workflow.mapper")
//@ServletComponentScan(basePackages = "com.zgiot.zx.workflow.filters")
public class TaskApplication {

    public static void main(String[] args) {
//        TimeZone.setDefault(TimeZone.getTimeZone("GMT+8"));
        SpringApplication.run(TaskApplication.class, args);
    }

}
