package com.zgiot.zx.workflow.dto;

import com.zgiot.zx.workflow.entity.*;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 *
 */
@Data
public class WorkTemplateResDTO {

    /**
     *  模板基础信息
     */
    private TemplateDO workTemplate;

    /**
     * 表单信息
     */
    private List<TemplateFormFieldDO> templateFormFieldList;

    /**
     * 工作流xml
     */
    private ActivitiResDTO activitiml;

    /**
     * 工作流文件字符串
     */
    private String xmlJson;

    /**
     * 模板其他设置
     */
    private TemplateOtherSettingsDO workTemplateOtherSettings;

    /**
     * 流程文件
     */
    private MultipartFile file;

    /**
     * 表单信息json字符串
     */
    private String fieldJsonStr;

    /**
     * 审批人员配置
     */
    private List<TemplateApproveDO> workApproveList;
    
    /**
     * 表达式
     */
    private List<TemplateGatewayDO> processGatewayList;

    /**
     * 表单权限配置
     */
    private  String permissionJson;

    /**
     * 模板id
     */
    private String templateId;
}
