package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_form_field")
@Builder
public class TemplateFormFieldDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 字段主键
     */
    @TableId("id")
    private String id;

    //private String fieldId;

    public String getFieldId(){
      return this.id;
    }

    /**
     * 工单模板主键
     */
    @TableField("template_id")
    private String templateId;

    /**
     * 字段类型
     */
    @TableField("field_tp")
    private String fieldTp;

    /**
     * 字段名称
     */
    @TableField("field_nm")
    private String fieldNm;

    /**
     * 顺序
     */
    @TableField("field_order")
    private Integer fieldOrder;

    /**
     * 提示语
     */
    @TableField("field_hint")
    private String fieldHint;

    /**
     * 是否必填
     */
    @TableField("required")
    private String required;

    /**
     * 是否参与打印
     */
    @TableField("print")
    private String print;

    /**
     * 是否关键信息
     */
    @TableField("major")
    private String major;


    /**
     * 拓展
     */
    @TableField("expand")
    private String expand;
}
