package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author wangxiahui
 * @since 2019-05-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_gateway")
public class TemplateGatewayDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("id")
    private String id;

    /**
     * 模板ID
     */
    @TableField("template_id")
    private String templateId;

    /**
     * 流程节点ID
     */
    @TableField("activity_id")
    private String activityId;

    /**
     * 表单字段ID
     */
    @TableField("field_id")
    private String fieldId;

    /**
     * 表达式
     */
    @TableField("conditions")
    private String conditions;

    /**
     * 类型（1：表单验证 2：审批验证）
     */
    @TableField("type")
    private String type;

    @TableField(exist = false)
    private TemplateFormFieldDO templateFormFieldDO;

}
