package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_permission")
@Builder
public class TemplatePermissionDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("id")
    private String id;

    /**
     * 模板ID
     */
    @TableField("template_id")
    private String templateId;

    /**
     * 流程节点ID
     */
    @TableField("activity_id")
    private String activityId;

    /**
     * 工单模板字段主键
     */
    @TableField("field_id")
    private String fieldId;

    /**
     * 权限设置（编辑/只读/隐藏）
     */
    @TableField("permission")
    private String permission;

    @TableField(exist = false)
    private String fieldNm;

    @TableField("if_write")
    private String ifWrite;
}
