package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_task_type")
public class TemplateTypeDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 工单类型主键
     */
    @TableId("id")
    private String id;

    /**
     * 工单类型名称
     */
    @TableField("name")
    private String name;

    /**
     * 是否启用
     */
    @TableField("if_enable")
    private String ifEnable;

}
