package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import lombok.experimental.Accessors;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_hi")
public class WorkflowTemplateHi implements Serializable{

     /**
     * @desc 工单模板主键
     * @column id
     * @default 
     */
     @TableId("id")
     private String id;
     /**
     * @desc 模板名称
     * @column template_nm
     * @default 
     */
     @TableField("template_no")
     private String templateNm;
     /**
     * @desc 工单类型主键
     * @column work_tp_id
     * @default 
     */
     @TableField("work_tp_id")
     private String workTpId;
     /**
     * @desc 是否允许手机创建
     * @column phone
     * @default 
     */
     @TableField("phone")
     private String phone;
     /**
     * @desc 
     * @column create_roles
     * @default 
     */
     @TableField("create_roles")
     private String createRoles;
     /**
     * @desc 
     * @column manager_roles
     * @default 
     */
     @TableField("manager_roles")
     private String managerRoles;
     /**
     * @desc 
     * @column template_explain
     * @default 
     */
     @TableField("template_explatin")
     private String templateExplain;
     /**
     * @desc 是否启用
     * @column if_enable
     * @default 
     */
     @TableField("if_enable")
     private String ifEnable;
     /**
     * @desc 图标
     * @column icon_image
     * @default 
     */
     @TableField("icon_image")
     private String iconImage;
     /**
     * @desc 
     * @column create_time
     * @default 
     */
     @TableField("create_time")
     private Date createTime;
     /**
     * @desc 
     * @column update_time
     * @default 
     */
     @TableField("update_time")
     private Date updateTime;
     /**
     * @desc 
     * @column version
     * @default 
     */
     @TableField("version")
     private String version;
     /**
    * @desc
    * @column version
    * @default
 */
     @TableField("type_template")
     private String typeTemplate;
}

