package com.zgiot.zx.workflow.enums;

public enum ApproveFlag {
    PASS(1,"通过"),REFUSE(0,"拒绝"),APPLY(2,"申请"),CLAIM(3,"认领");
    //防止字段值被修改，增加的字段也统一final表示常量
    private final int key;
    private final String value;
    private ApproveFlag(int key,String value){
        this.key = key;
        this.value = value;
    }

    //根据key获取枚举
    public static ApproveFlag getEnumByKey(int key){
        for(ApproveFlag temp: ApproveFlag.values()){
            if(temp.getKey() == key){
                return temp;
            }
        }
        return null;
    }

    public int getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }
}
