package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateDO;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
@Repository
public interface WorkTemplateMapper extends BaseMapper<TemplateDO> {

    @Update("<script>update workflow_template set status = 1" +
            " where id=#{id}</script>")
    boolean updateStatus(TemplateDO templateDO);
}
