package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.WorkflowTask;
import com.zgiot.zx.workflow.entity.WorkflowTaskHi;
import org.apache.ibatis.annotations.Insert;
import org.springframework.stereotype.Repository;

/**
 * Created with cy on 2019-7-26 16:12:11.
 */
@Repository
public interface WorkflowTaskHiRepository extends BaseMapper<WorkflowTaskHi> {

@Insert("<script>INSERT INTO workflow_task_hi " +
        "VALUES(" +
        "#{workId},#{workNo},#{templateId},#{workSubject},#{workContent}," +
        "#{priority},#{aging},#{createTime},#{updateTime},#{cutoffTime}," +
        "#{schedule},#{workStatus},#{createPerson},#{applyDept},#{ifSend}," +
        "#{workTpId})</script>")
    Boolean insertWorkflowTaskHi(WorkflowTask workflowTask);
}

