package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateFormFieldDO;
import com.zgiot.zx.workflow.entity.WorkflowTemplateFormFieldHi;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Repository
public interface WorkflowTemplateFormFieldHiRepository extends BaseMapper<WorkflowTemplateFormFieldHi>{

@Insert("<script>insert into workflow_template_form_field_hi(id,template_id,field_tp,field_nm,field_order,field_hint,required,print,major,expand)" +
        "values " +
        "<foreach collection=\"listFormField\" item=\"items\" separator=\",\" >" +
        "( #{items.id},#{items.templateId},#{items.fieldTp},#{items.fieldNm},#{items.fieldOrder}," +
        "#{items.fieldHint},#{items.required},#{items.print},#{items.major}" +
        ",#{items.expand})</foreach></script>")
    boolean insertFormFieldHi(@Param("listFormField") List<TemplateFormFieldDO> templateFormFieldDOS);
}

