package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateDO;
import com.zgiot.zx.workflow.entity.WorkflowTemplateHi;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;


import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Repository
public interface WorkflowTemplateHiRepository extends BaseMapper<WorkflowTemplateHi> {

@Select("<script>SELECT Max(cast(version as UNSIGNED INTEGER)) FROM workflow_template_hi " +
        "where type_template = #{typeTemplate} order by create_time Desc</script>")
    List<String> temVersionHiByTptem(TemplateDO templateDO);

@Insert("<script>INSERT into workflow_template_hi(id,template_nm,work_tp_id,phone," +
        "create_roles,manager_roles,template_explain," +
        "if_enable,icon_image,create_time,update_time,version,type_template) " +
        "VALUES(#{id},#{templateNm},#{workTpId},#{phone},#{createRoles},#{managerRoles}," +
        "#{templateExplain},#{ifEnable},#{iconImage},NOW(),NOW(),#{version},#{typeTemplate})</script>")
    boolean insertTemplateHi(WorkflowTemplateHi workflowTemplateHi);
}

