package com.zgiot.zx.workflow.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zgiot.zx.workflow.base.Ret;
import com.zgiot.zx.workflow.dto.TemplateTypeResDTO;
import com.zgiot.zx.workflow.dto.WorkTemplateResDTO;
import com.zgiot.zx.workflow.entity.TemplateDO;
import org.activiti.engine.task.Task;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
public interface IWorkTemplateService extends IService<TemplateDO> {

  /*  Ret deployProcess(String templateId);*/

    List<TemplateTypeResDTO> getAllTemplates(String ifEnable, String ifPhone);

    Boolean publishBytemplate(TemplateDO templateDO);

    /* boolean tsakAssignee(String templateId, List<Task> task2List, String workId, String userId);

    Boolean templateCopy(String templateId, String workTpId);*/

    Ret saveTemplateAll(WorkTemplateResDTO workTemplateResDTO);

/*    Boolean saveTemplateService(TemplateDO templateDO);

    List<TemplateDO> getTemplateList(TemplateDO templateDO);

    IPage<TemplateDO> getTemplatePage(TemplateDO templateDO, Integer page, Integer size) ;*/

    WorkTemplateResDTO getTemplateByTemplateId(String templateId);

   /* Boolean updateTemplateMove(String templateId, String workTpId);

    *//**
     * 办理任务
     *//*
    boolean completTeask(TaskInfoRDTO taskInfoRDTO);

    boolean completTaskBatch(List<TaskInfoRDTO> taskInfoRDTOList);

    *//**
     * 撤回
     *//*
    boolean recall(String processId, String activityId);

    *//**
     * 删除模板
     *//*
    boolean removeTemplate(String id);*/
}
