package com.zgiot.zx.workflow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zgiot.zx.workflow.dto.TemplateTypeResDTO;
import com.zgiot.zx.workflow.dto.WorkTemplateResDTO;
import com.zgiot.zx.workflow.entity.TemplateDO;
import com.zgiot.zx.workflow.entity.WorkflowTask;


import java.util.List;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 15:50  2019/7/29
 * @Modified By:
 */
public interface WorkflowTaskService extends IService<WorkflowTask> {

    //查看全部工单信息带分类
    List<TemplateTypeResDTO> getAllWorkflowTask();

    //修改工单提交
    WorkflowTask updateWorkflowTask(WorkTemplateResDTO workTemplateResDTO);

    //根据模板id查询工单数据
    WorkflowTask selectBytemplate(TemplateDO templateDO);

}
