package com.zgiot.zx.workflow.utils;

import org.apache.commons.lang3.StringUtils;

/**
 * @ClassName DateUtil
 * @Descroption TODO
 * @Author 王夏晖
 * @Date 2019/6/13 0013 14:50
 **/
public class DateUtil {

    /**
     * 根据分钟数计算格式化的时间差
     * @return
     */
    public static String getDuration(String minuteStr) {
        if(StringUtils.isBlank(minuteStr)){
            return "";
        }
        int minute = Integer.parseInt(minuteStr);
        String result = "";
        int days    = minute / 60 / 24;
        int daysRound = (int)Math.floor(days);
        int hours = minute / 60 - (24 * daysRound);
        int hoursRound = (int)Math.floor(hours);
        int minutes = minute - (24 * 60 * daysRound) - (60 * hoursRound);
        int minutesRound = (int)Math.floor(minutes);
        if(daysRound != 0){
            result += daysRound + "天";
        }
        if(hoursRound != 0){
            result += hoursRound + "时";
        }
        if(minutesRound != 0){
            result += minutesRound + "分";
        }
        return result;
    }
}
