package com.zgiot.zx.workflow.controller;


import com.zgiot.zx.workflow.base.Ret;
import com.zgiot.zx.workflow.dto.MTRoleGroupInfoRspDTO;
import com.zgiot.zx.workflow.utils.MTCotactApiRequestClient;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-05-22
 */
@RestController
@RequestMapping("/task/tb-role")
public class RoleController {

 /*   @Autowired
    ITbRoleService tbRoleService;

    @Autowired
    IWorkTemplateService workTemplateService;*/

    @Autowired
    private MTCotactApiRequestClient cotactApiRequestClient;
    /**
     *
     * 查询角色
     */
    @GetMapping("/getRoleAll")
    @ApiOperation(value="查询角色")
    public Ret<List<MTRoleGroupInfoRspDTO>> getRoleAll(){
        return Ret.ok().setData(cotactApiRequestClient.roleListRoleGroup("6", ""));
    }

    /**
     *
     * 通过模板查询角色
     *//*
    @GetMapping("/getRoleByTempId")
    @ApiOperation(value="通过模板查询角色")
    public ResponseMessage getRoleByTempId(String templateId){
        List<TbRole> rolesList = tbRoleService.list();
        QueryWrapper qw = new QueryWrapper();
        qw.eq("id",templateId);
        TemplateDO templateDO = workTemplateService.getById(templateId);
        Map<String,Object> map = new HashMap();
        if(templateDO !=null && StrUtil.isNotEmpty(templateDO.getCreateRoles())){
            map.put("list", templateDO.getCreateRoles());
        }else {
            map.put("list", "");
        }

        map.put("allList",rolesList);
        return Result.success(map);
    }*/



}
