package com.zgiot.zx.workflow.controller;

import com.zgiot.zx.workflow.base.ResponseMessage;
import com.zgiot.zx.workflow.base.Result;
import com.zgiot.zx.workflow.base.Ret;
import com.zgiot.zx.workflow.utils.MTCotactApiRequestClient;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-05-22
 */
@RestController
@RequestMapping("/task/tb-user")
public class UserController {

   /* @Autowired
    private ITbUserService userService;*/

    @Autowired
    private MTCotactApiRequestClient mtCotactApiRequestClient;

  /*  *//**
     * 查询用户
     *//*
    @GetMapping("/getUserAll")
    @ApiOperation(value = "查询用户")
    public ResponseMessage getUserAll() {
        List<TbUser> usersList = userService.list();
        return Result.success(usersList);
    }
*/
    /**
     * 根据公司id获取部门tree
     */
    @GetMapping("/getDeptTree")
    @ApiOperation(value = "根据公司id获取部门tree")
    public Ret<Map<String, Object>> getDeptTree(String corpId) {
        return Ret.ok().setData(mtCotactApiRequestClient.deptGetTreeByCorpId("", ""));
    }

   /* *//**
     * 根据部门id和公司id查询用户
     *//*
    @GetMapping("/getUserByDeptId")
    @ApiOperation(value = "根据部门id和公司id查询用户")
    public Ret<List<MTGetUserByDeptIdsRspDTO>> getDeptTree(String corpId, String deptId) {
        List<String> deptIds = new ArrayList<>();
        deptIds.add(deptId);
        return Ret.ok().setData(mtCotactApiRequestClient.userGetUserByDeptIds(corpId, deptIds, ""));
    }

    *//**
     * 根据部门id和公司id查询用户
     *//*
    @GetMapping("/deptSubDeptUserPageList")
    @ApiOperation(value = "根据部门id和公司id查询下级部门")
    public Ret<Map<String, Object>> deptSubDeptUserPageList(String corpId, String pid, String accessToken) {

        Map<String, Object> resultMap = new HashMap<>(2);

        MTDeptSubDeptUserPagelistRspDTO mtDeptSubDeptUserPagelistRspDTO = mtCotactApiRequestClient.deptSubDeptUserPagelist(corpId, pid, "");
        if(mtDeptSubDeptUserPagelistRspDTO != null && mtDeptSubDeptUserPagelistRspDTO.getList() != null) {
            List<String> deptIds = new ArrayList<>();

            for(MTDeptSubDeptUserPagelistRspDTO.Dept dept : mtDeptSubDeptUserPagelistRspDTO.getList()) {
                deptIds.add(dept.getId());
            }

            List<MTGetUserByDeptIdsRspDTO> mtGetUserByDeptIdsRspDTO = mtCotactApiRequestClient.userGetUserByDeptIds(corpId, deptIds, "");

            resultMap.put("deptList", mtDeptSubDeptUserPagelistRspDTO.getList());
            resultMap.put("userList", mtGetUserByDeptIdsRspDTO);
        } else {
            resultMap.put("deptList", new ArrayList<>());
            resultMap.put("userList", new ArrayList<>());
        }

        return Ret.ok().setData(resultMap);
    }
*/
}
