package com.zgiot.zx.workflow.controller;

import com.zgiot.zx.workflow.base.Ret;
import com.zgiot.zx.workflow.dto.WorkTemplateResDTO;
import com.zgiot.zx.workflow.service.WorkflowTaskService;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Author: jiangpengpeng
 * @Description:
 * @Date: Created in 18:27  2019/7/29
 * @Modified By:
 */
@RestController
@RequestMapping("/workflowTask")
public class WorkflowTaskControl {
    @Autowired
    private WorkflowTaskService workflowTaskService;
    @GetMapping("/getAllWorkTasks")
    @ApiOperation(value = "获取所有的工单带分类")
    public Ret getAllTemplates() {
        return Ret.ok().setData(workflowTaskService.getAllWorkflowTask());
    }


}