package com.zgiot.zx.workflow.dto;

import java.util.List;

/**
 * 模糊查询设备返回实体类
 */
public class MTEquipmentInfoRspDTO {

    /**
     * corpId : 1115912149559242754
     * createTime : 1560128487000
     * createUser : 122,1115912149777346561
     * equipmentCode : 3123
     * equipmentSpatial : {"canDelete":1,"createTime":1559805649000,"createUserUuid":"122,1115912149777346561","equipmentProperties":[{"dimCode":"spatial_position","flag":false,"id":693,"isEnable":1,"propName":"x","propUuid":"xxxx","value":"11"},{"dimCode":"spatial_position","flag":false,"id":694,"isEnable":1,"propName":"y","propUuid":"yyyy","value":"200000"}],"id":41,"isEnable":1,"spaCode":"2343rrfd","spaName":"位置定义-位置类型5月31日","spaUuid":"spatial_position3d115ac1-5188-42e1-b48f-2703b0586d0b20190531151112","updateTime":1559805649000,"updateUserUuid":"122"}
     * equipmentName : 6月10日
     * equipmentNote : 11
     * equipmentUuid : equipmentb5503f61-52bd-439d-9a3b-b63963ac111e20190610090127
     * id : 59
     * manufacturerUuid : 6acda105-e05c-4804-a97e-ec920e348d0d20190531151029
     * organizationCode : 1131501803793387522
     * organizationCodeList : ["1131501803793387522"]
     * principalsUuid : 1122684757018251265,1122684867965980673
     * principalsUuidList : ["1122684757018251265","1122684867965980673"]
     * specifications : 434
     * status : 1
     * tagUid :
     * updateTime : 1560128487000
     * useTime : 1561564800000
     */

    private String corpId;

    private long createTime;

    private String createUser;

    private String equipmentCode;

    private EquipmentSpatialBean equipmentSpatial;

    private String equipmentName;

    private String equipmentNote;

    private String equipmentUuid;

    private int id;

    private String manufacturerUuid;

    private String organizationCode;

    private String principalsUuid;

    private String specifications;

    private int status;

    private String tagUid;

    private long updateTime;

    private long useTime;

    private List<String> organizationCodeList;

    private List<String> principalsUuidList;

    public String getCorpId() {
        return corpId;
    }

    public void setCorpId(String corpId) {
        this.corpId = corpId;
    }

    public long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(long createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getEquipmentCode() {
        return equipmentCode;
    }

    public void setEquipmentCode(String equipmentCode) {
        this.equipmentCode = equipmentCode;
    }

    public EquipmentSpatialBean getEquipmentSpatial() {
        return equipmentSpatial;
    }

    public void setEquipmentSpatial(EquipmentSpatialBean equipmentSpatial) {
        this.equipmentSpatial = equipmentSpatial;
    }

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getEquipmentNote() {
        return equipmentNote;
    }

    public void setEquipmentNote(String equipmentNote) {
        this.equipmentNote = equipmentNote;
    }

    public String getEquipmentUuid() {
        return equipmentUuid;
    }

    public void setEquipmentUuid(String equipmentUuid) {
        this.equipmentUuid = equipmentUuid;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getManufacturerUuid() {
        return manufacturerUuid;
    }

    public void setManufacturerUuid(String manufacturerUuid) {
        this.manufacturerUuid = manufacturerUuid;
    }

    public String getOrganizationCode() {
        return organizationCode;
    }

    public void setOrganizationCode(String organizationCode) {
        this.organizationCode = organizationCode;
    }

    public String getPrincipalsUuid() {
        return principalsUuid;
    }

    public void setPrincipalsUuid(String principalsUuid) {
        this.principalsUuid = principalsUuid;
    }

    public String getSpecifications() {
        return specifications;
    }

    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public String getTagUid() {
        return tagUid;
    }

    public void setTagUid(String tagUid) {
        this.tagUid = tagUid;
    }

    public long getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(long updateTime) {
        this.updateTime = updateTime;
    }

    public long getUseTime() {
        return useTime;
    }

    public void setUseTime(long useTime) {
        this.useTime = useTime;
    }

    public List<String> getOrganizationCodeList() {
        return organizationCodeList;
    }

    public void setOrganizationCodeList(List<String> organizationCodeList) {
        this.organizationCodeList = organizationCodeList;
    }

    public List<String> getPrincipalsUuidList() {
        return principalsUuidList;
    }

    public void setPrincipalsUuidList(List<String> principalsUuidList) {
        this.principalsUuidList = principalsUuidList;
    }

    public static class EquipmentSpatialBean {
        /**
         * canDelete : 1
         * createTime : 1559805649000
         * createUserUuid : 122,1115912149777346561
         * equipmentProperties : [{"dimCode":"spatial_position","flag":false,"id":693,"isEnable":1,"propName":"x","propUuid":"xxxx","value":"11"},{"dimCode":"spatial_position","flag":false,"id":694,"isEnable":1,"propName":"y","propUuid":"yyyy","value":"200000"}]
         * id : 41
         * isEnable : 1
         * spaCode : 2343rrfd
         * spaName : 位置定义-位置类型5月31日
         * spaUuid : spatial_position3d115ac1-5188-42e1-b48f-2703b0586d0b20190531151112
         * updateTime : 1559805649000
         * updateUserUuid : 122
         */

        private int canDelete;

        private long createTime;

        private String createUserUuid;

        private int id;

        private int isEnable;

        private String spaCode;

        private String spaName;

        private String spaUuid;

        private long updateTime;

        private String updateUserUuid;

        private List<EquipmentPropertiesBean> equipmentProperties;

        public int getCanDelete() {
            return canDelete;
        }

        public void setCanDelete(int canDelete) {
            this.canDelete = canDelete;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public String getCreateUserUuid() {
            return createUserUuid;
        }

        public void setCreateUserUuid(String createUserUuid) {
            this.createUserUuid = createUserUuid;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getIsEnable() {
            return isEnable;
        }

        public void setIsEnable(int isEnable) {
            this.isEnable = isEnable;
        }

        public String getSpaCode() {
            return spaCode;
        }

        public void setSpaCode(String spaCode) {
            this.spaCode = spaCode;
        }

        public String getSpaName() {
            return spaName;
        }

        public void setSpaName(String spaName) {
            this.spaName = spaName;
        }

        public String getSpaUuid() {
            return spaUuid;
        }

        public void setSpaUuid(String spaUuid) {
            this.spaUuid = spaUuid;
        }

        public long getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(long updateTime) {
            this.updateTime = updateTime;
        }

        public String getUpdateUserUuid() {
            return updateUserUuid;
        }

        public void setUpdateUserUuid(String updateUserUuid) {
            this.updateUserUuid = updateUserUuid;
        }

        public List<EquipmentPropertiesBean> getEquipmentProperties() {
            return equipmentProperties;
        }

        public void setEquipmentProperties(List<EquipmentPropertiesBean> equipmentProperties) {
            this.equipmentProperties = equipmentProperties;
        }

        public static class EquipmentPropertiesBean {
            /**
             * dimCode : spatial_position
             * flag : false
             * id : 693
             * isEnable : 1
             * propName : x
             * propUuid : xxxx
             * value : 11
             */

            private String dimCode;

            private boolean flag;

            private int id;

            private int isEnable;

            private String propName;

            private String propUuid;

            private String value;

            public String getDimCode() {
                return dimCode;
            }

            public void setDimCode(String dimCode) {
                this.dimCode = dimCode;
            }

            public boolean isFlag() {
                return flag;
            }

            public void setFlag(boolean flag) {
                this.flag = flag;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public int getIsEnable() {
                return isEnable;
            }

            public void setIsEnable(int isEnable) {
                this.isEnable = isEnable;
            }

            public String getPropName() {
                return propName;
            }

            public void setPropName(String propName) {
                this.propName = propName;
            }

            public String getPropUuid() {
                return propUuid;
            }

            public void setPropUuid(String propUuid) {
                this.propUuid = propUuid;
            }

            public String getValue() {
                return value;
            }

            public void setValue(String value) {
                this.value = value;
            }
        }
    }
}
