package com.zgiot.zx.workflow.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

/**
 *
 * date 2019-05-16
 */
@Data
public class WorkPermissionResDTO {

    /**
     * 主键
     */
    @TableId("id")
    private String id;

    /**
     * 模板ID
     */
    @TableField("template_id")
    private String templateId;


    /**
     * 流程节点ID
     */
    @TableField("activity_id")
    private String activityId;

    /**
     * 工单模板字段主键
     */
    @TableField("field_id")
    private String fieldId;

    /**
     * 权限设置（编辑/只读/隐藏）
     */
    @TableField("permission")
    private String permission;


    /**
     * 字段类型
     */
    @TableField("field_tp")
    private String fieldTp;

    /**
     * 字段名称
     */
    @TableField("field_nm")
    private String fieldNm;

    /**
     * 顺序
     */
    @TableField("field_order")
    private Integer fieldOrder;

    /**
     * 提示语
     */
    @TableField("field_hint")
    private String fieldHint;

    /**
     * 是否必填
     */
    @TableField("required")
    private String required;

    /**
     * 是否参与打印
     */
    @TableField("print")
    private String print;

    /**
     * 是否关键信息
     */
    @TableField("major")
    private String major;


    /**
     * 拓展
     */
    @TableField("EXPAND")
    private String expand;

    /**
     *
     */
    @TableField("if_write")
    private String ifWrite;
}
