package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author jobob
 * @since 2019-05-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("s_dept")
public class SDept implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableField("BUSINESS_ID")
    private String businessId;

    @TableField("CODE")
    private String code;

    @TableField("PARENT_ID")
    private String parentId;

    @TableField("NAME")
    private String name;

    @TableField("CASE_COUNT")
    private int caseCount;

    @TableField("SORT")
    private int sort;

    @TableField("CREATE_BY")
    private String createBy;

    @TableField("CREATE_DATE")
    private Date createDate;

    @TableField("UPDATE_BY")
    private String updateBy;

    @TableField("UPDATE_DATE")
    private Date updateDate;

    @TableField("DEL_FLAG")
    private String delFlag;

    @TableField("FLAG")
    private String flag ;

    @TableField("REMARKS")
    private String remarks;
}
