package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2019-05-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_other_settings")
public class TemplateOtherSettingsDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("template_id")
    private String templateId;

    /**
     * 审批重复 1：是 2：否
     */
    @TableField("approve_repeat")
    private String approveRepeat;

    /**
     * 审批提示语
     */
    @TableField("approve_tips")
    private String approveTips;

    /**
     * 是否必填 1：是 0：否
     */
    @TableField("is_required")
    private String isRequired;

}
