package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_process_file")
public class TemplateProcessFileDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("id")
    private String id;

    /**
     * 工单模板主键
     */
    @TableField("template_id")
    private String templateId;

    /**
     * 流程文件存放路径
     */
    @TableField("process_file")
    private String processFilePath;

    /**
     * 流程文件名称
     */
    @TableField("process_file_nm")
    private String processFileNm;

    /**
     * 流程文件是否部署
     */
    @TableField("if_deploy")
    private String ifDeploy;

    @TableField("new_process_file")
    private String newProcessFile;
}
