package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_task_hi")
public class WorkflowTaskHi {


     public WorkflowTaskHi() {
     }

     /**
     * @desc 工单主键
     * @column work_id
     * @default 
     */
     @TableId("work_id")
     private String workId;
     /**
     * @desc 工单号
     * @column work_no
     * @default 
     */
     @TableField("work_no")
     private String workNo;
     /**
      * @desc 状态（0：已修改 1 已发布）
      * @column work_no
      * @default
      */
     @TableField("status")
     private String status;
     /**
     * @desc 工单模板主键
     * @column template_id
     * @default 
     */
     @TableField("template_id")
     private String templateId;
     /**
     * @desc 工单主题
     * @column work_subject
     * @default 
     */
     @TableField("work_subject")
     private String workSubject;
     /**
     * @desc 工单描述内容
     * @column work_content
     * @default 
     */
     @TableField("work_content")
     private String workContent;
     /**
     * @desc 优先级
     * @column priority
     * @default 
     */
     @TableField("priority")
     private String priority;
     /**
     * @desc 时效
     * @column aging
     * @default 
     */
     @TableField("aging")
     private Integer aging;
     /**
     * @desc 创建时间
     * @column create_time
     * @default 
     */
     @TableField("create_time")
     private Date createTime;
     /**
     * @desc 更新时间
     * @column update_time
     * @default 
     */
     @TableField("update_time")
     private Date updateTime;
     /**
     * @desc 
     * @column cutoff_time
     * @default 
     */
     @TableField("cutoff_time")
     private Date cutoffTime;
     /**
     * @desc 工单进度
     * @column schedule
     * @default 
     */
     @TableField("schedule")
     private String schedule;
     /**
     * @desc 工单状态（0：草稿 1：执行中 2：审批中 3：已完成 4：中止）
     * @column work_status
     * @default 
     */
     @TableField("work_status")
     private String workStatus;
     /**
     * @desc 
     * @column create_person
     * @default 
     */
     @TableField("create_person")
     private String createPerson;
     /**
     * @desc 
     * @column apply_dept
     * @default 
     */
     @TableField("apply_dept")
     private String applyDept;
     /**
     * @desc 是否发送消息
     * @column if_send
     * @default 
     */
     @TableField("if_send")
     private String ifSend;
     /*
     * @desc 类型
     * @column work_type_id
     * */
     @TableField("work_tp_id")
     private String workTpId;


}

