package com.zgiot.zx.workflow.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import lombok.experimental.Accessors;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
* Created with cy on 2019-7-26 16:12:11.
*/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("workflow_template_form_field_hi")
@Builder
public class WorkflowTemplateFormFieldHi implements Serializable{


     /**
      * 字段主键
      */
     @TableId("id")
     private String id;

     /**
      * 工单模板主键
      */
     @TableField("template_id")
     private String templateId;

     /**
      * 字段类型
      */
     @TableField("field_tp")
     private String fieldTp;

     /**
      * 字段名称
      */
     @TableField("field_nm")
     private String fieldNm;

     /**
      * 顺序
      */
     @TableField("field_order")
     private Integer fieldOrder;

     /**
      * 提示语
      */
     @TableField("field_hint")
     private String fieldHint;

     /**
      * 是否必填
      */
     @TableField("required")
     private String required;

     /**
      * 是否参与打印
      */
     @TableField("print")
     private String print;

     /**
      * 是否关键信息
      */
     @TableField("major")
     private String major;


     /**
      * 拓展
      */
     @TableField("expand")
     private String expand;


}

