package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateProcessFileDO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
public interface ProcessFileMapper extends BaseMapper<TemplateProcessFileDO> {

  @Update("<script>UPDATE workflow_template_process_file " +
          "SET "+
          " new_process_file = #{fileName}, " +
          " start_usertask = #{activitiId} " +
          "WHERE " +
          "template_id = #{templateId}</script>")
    boolean updateNewProcessFile(@Param("fileName") String fileName,@Param("templateId") String templateId,@Param("activitiId") String activitId);


  @Select("<script>SELECT " +
          "process_file_nm " +
          "From workflow_template_process_file " +
          "WHERE template_id = #{templateId}</script>")
   String fileNameBytemplateId(@Param("templateId") String templateId);
}
