package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateGatewayDO;
import com.zgiot.zx.workflow.entity.TemplateGatewayHi;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
public interface ProcessGatewayHiMapper extends BaseMapper<TemplateGatewayHi> {

    @Insert("<script>insert into workflow_template_gateway_hi(id,template_id,activity_id,field_id,conditions,type)" +
            "values " +
            "<foreach collection=\"listTemGatewayHi\" item=\"items\" separator=\",\" >" +
            "( #{items.id},#{items.templateId},#{items.activityId},#{items.fieldId},#{items.conditions}," +
            "#{items.type})</foreach></script>")
  boolean  insertGatewayHi(@Param("listTemGatewayHi") List<TemplateGatewayDO> templateGatewayHis);
}
