package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateFormFieldDO;
import com.zgiot.zx.workflow.entity.TemplateGatewayDO;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.time.temporal.TemporalField;
import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wangxiahui
 * @since 2019-05-28
 */
@Repository
public interface ProcessGatewayMapper extends BaseMapper<TemplateGatewayDO> {

    @Select("<script>SELECT * FROM workflow_template_gateway where workflow_template_gateway.template_id = #{templateId}</script>")
    List<TemplateGatewayDO> gatewayByTemplateFormFieldDO(TemplateFormFieldDO templateFormFieldDO);
}
