package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.SDept;
import com.zgiot.zx.workflow.entity.SRole;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-22
 */
@Repository
public interface SDeptMapper extends BaseMapper<SDept> {

    @Select("<script>select * from s_dept where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = 0 </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = 1 </if>" +
            "and  PARENT_ID = '0' "
            + "</script>")
    List<SDept> querySDepts();

    @Select("<script>select * from s_dept where 1=1 "
            + "<if test=\"delFlag !=null and delFlag != '' \">and del_flag = 0 </if> "
            + "<if test=\"flag !=null and flag != '' \">and flag = 1 </if>" +
            "and  PARENT_ID = #{businessId}"
            + "</script>")
    List<SDept> childdept(SDept sDept);
}
