package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateApproveDO;
import com.zgiot.zx.workflow.entity.TemplateApproveHi;
import com.zgiot.zx.workflow.entity.TemplateFormFieldDO;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-05-16
 */
public interface WorkApproveHiMapper extends BaseMapper<TemplateApproveHi> {

   @Insert("<script>insert into workflow_template_approve_hi(id,template_id,activity_id,activity_nm,person_type,person_data,approve_type,person_null,if_approve_node,if_copy,buttons)" +
           "values " +
           "<foreach collection=\"listTemAprHi\" item=\"items\" separator=\",\" >" +
           "( #{items.id},#{items.templateId},#{items.activityId},#{items.activityNm},#{items.personType}," +
           "#{items.personData},#{items.approveType},#{items.personNull},#{items.ifApproveNode}" +
           ",#{items.ifCopy},#{items.buttons})</foreach></script>")
   boolean insertApproveHi(@Param("listTemAprHi") List<TemplateApproveDO> templateApproveHiList);
}
