package com.zgiot.zx.workflow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zgiot.zx.workflow.entity.TemplateDO;
import com.zgiot.zx.workflow.entity.WorkflowTask;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created with cy on 2019-7-26 16:12:11.
 */
@Repository
public interface WorkflowTaskRepository extends BaseMapper<WorkflowTask> {


    @Update("<script>update workflow_task set status=1" +
            " where template_id = #{id}</script>")
    boolean updateStatus(TemplateDO templateDO);
}

