package com.zgiot.zx.workflow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zgiot.zx.workflow.dto.WorkPermissionInfoResDTO;
import com.zgiot.zx.workflow.entity.TemplatePermissionDO;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-05-08
 */
public interface IWorkPermissionService extends IService<TemplatePermissionDO> {

    /* boolean saveWorkPermission(String jsonObject);*/

    boolean saveWorkPermissionBatch(String jsonObject);

    List<WorkPermissionInfoResDTO> getWorkPermissionByTemplateId(String templateId);

    /* List<WorkPermissionResDTO> queryPermissionAndField(String templateId);*/
}
